<script context="module">
  // @ts-ignore
  import { getShopsItems } from "$requesters/requesters";

  export async function load({ fetch, params }) {
    const response = await getShopsItems({fetchWith: fetch});

    if (response.status != 200) {
      return {
        status: response.status,
        props: {
          shop_items: {}
        }
      }
    }
    const shop_item = response.body.find((el) => el['id'] == params.item);
    if (!shop_item) {
      return {
        status: 404
      }
    }
    return {
      status: response.status,
      props: {
        shop_items: shop_item
      }
    };
  }
</script>

<script>
  export let shop_item = {}
</script>

<p>{shop_item}</p>
